AM261x MCU+ SDK: CpswHostPort_Cfg Struct Reference

| AM261x MCU+ SDK 26.00.00 |

Data Fields
CpswHostPort_Cfg Struct Reference
APIs for Networking modules » APIs for Enet LLD » Enet Host Port » CPSW host port

## Detailed Description

Host port module configuration parameters.

## Data Fields
Enet_CrcType | crcType
bool | removeCrc
bool | padShortPacket
bool | passCrcErrors
uint32_t | rxMtu
bool | passPriorityTaggedUnchanged
bool | txCsumOffloadEn
bool | rxCsumOffloadEn
bool | rxVlanRemapEn
bool | rxDscpIPv4RemapEn
bool | rxDscpIPv6RemapEn
EnetPort_VlanCfg | vlanCfg
EnetHostPort_IngressPriorityType | rxPriorityType
EnetPort_EgressPriorityType | txPriorityType

## Field Documentation

## ◆ crcType

Enet_CrcType CpswHostPort_Cfg::crcType

Type of CRC on all port 0 egress, regardless of the CRC type in Ethernet port ingress

## ◆ removeCrc

bool CpswHostPort_Cfg::removeCrc

Whether or not CRC is removed on port 0 egress

## ◆ padShortPacket

bool CpswHostPort_Cfg::padShortPacket

Whether short packets (ingress) are padded to 64-bytes or dropped

## ◆ passCrcErrors

bool CpswHostPort_Cfg::passCrcErrors

Whether packets with CRC errors (ingress) are dropped or transferred to the destination ports

## ◆ rxMtu

uint32_t CpswHostPort_Cfg::rxMtu

Max length of a received frame on ingress, including VLAN

## ◆ passPriorityTaggedUnchanged

bool CpswHostPort_Cfg::passPriorityTaggedUnchanged

Whether priority tagged packets should be passed unchanged (if set to true) or replaced with port's VID (if set to false)

## ◆ txCsumOffloadEn

bool CpswHostPort_Cfg::txCsumOffloadEn

Enable Tx checksum offload feature which allows TCP checksum computation to be offloaded to the CPSW for frames transmitted by any core. The Protocol specific info needs to be populated in the descriptor to indicate the location in the packet where the computed checksum should be inserted. On AM243x and AM64x platforms there is no specific control along Rx or Tx direction. Hence txCsumOffloadEn enables both Tx and Rx Checksum offload.

## ◆ rxCsumOffloadEn

bool CpswHostPort_Cfg::rxCsumOffloadEn

Enable Rx checksum offload feature which allows TCP/UDP checksum validation to be offloaded to the CPSW for frames received. On AM243x and AM64x platforms this field has no meaning.

## ◆ rxVlanRemapEn

bool CpswHostPort_Cfg::rxVlanRemapEn

RX VLAN remap controls whether the hardware switch priority for VLAN tagged or priority tagged packets is determined from CPPI thread number (remap disabled) or via ENET_HOSTPORT_IOCTL_SET_EGRESS_QOS_PRI_MAP (remap enabled)

## ◆ rxDscpIPv4RemapEn

bool CpswHostPort_Cfg::rxDscpIPv4RemapEn

RX DSCP IPv4 remap controls whether the hardware switch priority for IPv4 packets is determined from CPPI thread number (remap disabled) or via ENET_HOSTPORT_IOCTL_SET_EGRESS_QOS_PRI_MAP (remap enabled)

## ◆ rxDscpIPv6RemapEn

bool CpswHostPort_Cfg::rxDscpIPv6RemapEn

RX DSCP IPv6 remap controls whether the hardware switch priority for IPv6 packets is determined from CPPI thread number (remap disabled) or via ENET_HOSTPORT_IOCTL_SET_EGRESS_QOS_PRI_MAP (remap enabled)

## ◆ vlanCfg

EnetPort_VlanCfg CpswHostPort_Cfg::vlanCfg

Port VLAN configuration

## ◆ rxPriorityType

EnetHostPort_IngressPriorityType CpswHostPort_Cfg::rxPriorityType

Ingress priority type

## ◆ txPriorityType

EnetPort_EgressPriorityType CpswHostPort_Cfg::txPriorityType

Egress priority type